#!/usr/bin/env python

from simplex import *
import sys, time

try:
    separator = sys.argv.index("--")
    filename, interval = sys.argv[1:3]
    keys = map(int, sys.argv[3:separator])
    terms = groups(sys.argv[separator+1:], len(keys))
except (IndexError, ValueError):
    print >>sys.stderr, "Usage: %s <filename> <interval> <key>... -- <term value>..." % sys.argv[0]
    sys.exit(1)

f = open(filename)
tf = TextFile(f, keys)
try:
    t = time.time()
    l = index_file(tf, int(interval))
    print "Indexed in %s seconds." % (time.time() - t)

    # Now use the index.

    for term in terms:
        t = time.time()
        line = find_with_index(tf, l, term)
        if line:
            print "Found (at %s seconds)...\n%s" % (time.time() - t, line)

finally:
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
